Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Components::CCMContext Interface Reference

`import "CCM_Container.idl";`

Inheritance diagram for Components::CCMContext:

[legend]
List of all members.

## Public Methods
Principal | get_caller_principal ()
CCMHome | get_CCM_home ()
boolean | get_rollback_only () raises (IllegalState)
Transaction::UserTransaction | get_user_transaction () raises (IllegalState)
boolean | is_caller_in_role (in string role)
void | set_rollback_only () raises (IllegalState)
Principal | get_caller_principal ()
CCMHome | get_CCM_home ()
boolean | get_rollback_only () raises (IllegalState)
Transaction::UserTransaction | get_user_transaction () raises (IllegalState)
boolean | is_caller_in_role (in string role)
void | set_rollback_only () raises (IllegalState)

## Member Function Documentation

Principal Components::CCMContext::get_caller_principal | ( |  | ) |

Principal Components::CCMContext::get_caller_principal | ( |  | ) |

CCMHome Components::CCMContext::get_CCM_home | ( |  | ) |

CCMHome Components::CCMContext::get_CCM_home | ( |  | ) |

boolean Components::CCMContext::get_rollback_only | ( |  | ) | raises (IllegalState)

boolean Components::CCMContext::get_rollback_only | ( |  | ) | raises (IllegalState)

Transaction::UserTransaction Components::CCMContext::get_user_transaction | ( |  | ) | raises (IllegalState)

Transaction::UserTransaction Components::CCMContext::get_user_transaction | ( |  | ) | raises (IllegalState)

boolean Components::CCMContext::is_caller_in_role | ( | in string | role | ) |

boolean Components::CCMContext::is_caller_in_role | ( | in string | role | ) |

void Components::CCMContext::set_rollback_only | ( |  | ) | raises (IllegalState)

void Components::CCMContext::set_rollback_only | ( |  | ) | raises (IllegalState)

The documentation for this interface was generated from the following files:

- CCM_Container.idl
- Component_Base.idl